<form class="rgb-to-hex-form">

    <p>RGB to Hex</p>

    <mat-form-field class="converter-input">
        <mat-label>red</mat-label>
        <input matInput name="rgb-r" type="number" min="0" max="255" [(ngModel)]="red">
    </mat-form-field>

    <mat-form-field class="converter-input">
        <mat-label>green</mat-label>
        <input matInput name="rgb-g" type="number" min="0" max="255" [(ngModel)]="green">
    </mat-form-field>

    <mat-form-field class="converter-input">
        <mat-label>blue</mat-label>
        <input matInput name="rgb-b" type="number" min="0" max="255" [(ngModel)]="blue">
    </mat-form-field>

    <button mat-raised-button class="btn-convert" (click)="setValue()">Convert</button>

    <mat-form-field class="converter-result">
        <mat-label>Hex value</mat-label>
        <input matInput name="hex-result" type="text" [(ngModel)]="result" readonly="true">
    </mat-form-field>
</form>